libreoffice-fresh 7.4.1-2

master
Dudemanguy 3 months ago
parent 77573fccaf
commit a4275ca63e
  1. 21
      trunk/PKGBUILD
  2. 48
      trunk/libreoffice-gpgme-1.18.0.patch

@ -10,9 +10,9 @@ _google_default_client_secret=0ZChLK6AxeA3Isu96MkwqDR4
pkgbase=libreoffice-fresh
pkgname=('libreoffice-fresh-sdk' 'libreoffice-fresh')
_LOver=7.4.0.3
pkgver=7.4.0
pkgrel=4
_LOver=7.4.1.2
pkgver=7.4.1
pkgrel=2
arch=('x86_64')
license=('LGPL3')
url="https://www.libreoffice.org/"
@ -31,7 +31,7 @@ makedepends=('curl>=7.20.0' 'hunspell>=1.2.8' 'python>=3.7' 'libwpd>=0.9.2' 'lib
'libexttextcat' 'gobject-introspection' # 'libfbclient' 'libcmis'
'libtommath' 'libzmf' 'xmlsec' 'rxvt-unicode' 'gpgme'
'libepubgen' 'libfreehand' 'libqxp' 'libstaroffice' 'boost' 'libnumbertext'
'libcuckoo' 'abseil-cpp' 'clang' #'zxing-cpp'
'abseil-cpp' 'clang' #'zxing-cpp'
'libffi' 'box2d' 'git'
)
options=('!lto') # using --enable-lto (for parallel link-time optimization)
@ -62,6 +62,7 @@ source=(${_mirror}/libreoffice{,-help,-translations}-${_LOver}.tar.xz{,.asc}
${_additional_source_url2}/185d60944ea767075d27247c3162b3bc-unowinreg.dll
make-pyuno-work-with-system-wide-module-install.diff
libreoffice-poppler-22.09.0.patch
libreoffice-gpgme-1.18.0.patch
soffice-template.desktop.in
libreoffice-fresh.sh libreoffice-fresh.csh)
noextract=(35c94d2df8893241173de1d16b6034c0-swingExSrc.zip
@ -86,11 +87,11 @@ noextract=(35c94d2df8893241173de1d16b6034c0-swingExSrc.zip
185d60944ea767075d27247c3162b3bc-unowinreg.dll
)
validpgpkeys=('C2839ECAD9408FBE9531C3E9F434A1EFAFEEAEA3') # LibreOffice Build Team (CODE SIGNING KEY) <build@documentfoundation.org>
sha256sums=('acc383a4386e1ceb74266a2f6406dee4b3a78576bda6bc71630f629ea20e3c19'
sha256sums=('92f78421bb3ffa6723f8e14c0dab5ee7bc68939fad8ff9f146ccecac02d2de84'
'SKIP'
'aa1922940b1742a833f34efc2cc2267dd592363530764dcfd352112c9b329547'
'842b24e72345aeed8305342003a4bbc6346173ea9457b38950b3b6ab89e2d89f'
'SKIP'
'e6fc4b8b4adf6c3b23f555f0a245ef535ad1771a386480ec14cab71e70179d8c'
'f77a382d562b6bcebaec69321de4b6ab6daec0240216d314d0c8c6fee4c32fae'
'SKIP'
'64585ac36a81291a58269ec5347e7e3e2e8596dbacb9221015c208191333c6e1'
'1fb458d6aab06932693cc8a9b6e4e70944ee1ff052fa63606e3131df34e21753'
@ -114,6 +115,7 @@ sha256sums=('acc383a4386e1ceb74266a2f6406dee4b3a78576bda6bc71630f629ea20e3c19'
'eafde646a7dbe46d20c291685b0beac2382174d78d66ee990e229a1bf6e6cec6'
'c463654a73ecfbc242ff109726fb4faecdbfb3d91affafe919b24bea65afb563'
'95716d255aae9d8795eb76c634541f82a094b87dfeaa6ffcdbd97c0f19c14ac4'
'ca4eb15daeb9eb6df10c3084708e78f3302fb78541bbdbad1232c0adfc502be0'
'd0be8099cbee3c9dfda694a828149b881c345b204ab68826f317580aafb50879'
'b20cc7c79e8e5d2c56eb17cf0f1e3bea7a2ceb243308a1bff3af24bf54f7d1f5'
'b679a22ecad2892ac9854d80c5c77e404467236bae9fe094637b48ccad37da9d')
@ -122,8 +124,8 @@ prepare() {
cd libreoffice-$_LOver
# Workaround to fix build with gpgme 1.18.0
export ac_cv_lib_gpgmepp_progress_callback=yes
# export ac_cv_lib_gpgmepp_progress_callback=yes
patch -Np1 -i ../libreoffice-gpgme-1.18.0.patch
# poppler 22.09.0
patch -Np1 -i ../libreoffice-poppler-22.09.0.patch
@ -228,7 +230,6 @@ build() {
--with-system-libzmf \
--with-system-gpgmepp \
--with-system-libstaroffice \
--with-system-cuckoo \
--with-jdk-home="/usr/lib/jvm/default" \
--with-ant-home="/usr/share/ant"\
--with-system-boost\

@ -0,0 +1,48 @@
https://bugs.gentoo.org/865321
https://lists.freedesktop.org/archives/libreoffice/2022-August/089261.html
https://github.com/LibreOffice/core/commit/aa0b2b756c17d43d2e8c828a909ee2815e332377
From: Rene Engelhard <rene@debian.org>
Date: Wed, 24 Aug 2022 09:55:33 +0200
Subject: [PATCH] Make configure work with gpgme >= 1.18
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Sam James wrote:
> gpgme-1.18.0 dropped a bunch of internal symbols,
> including progress_callback (see e.g. callbacks.h
> which has a comment at the top saying it's internal).
Plausibly the workaround to not link against older KDE-specific distro
packages is not needed anymore.
Check for main as a workaround as we do for other C++ libraries, too.
Change-Id: I57065a5b5b23b9eadb73b01e4f3a289552c3bde4
Reviewed-on: https://gerrit.libreoffice.org/c/core/+/138667
Tested-by: Jenkins
Reviewed-by: Sam James <sam@gentoo.org>
Reviewed-by: René Engelhard <rene@debian.org>
(cherry picked from commit b4a94d681a99a6a3eeb6aaa4d2f4dfab8f7c000b)
Reviewed-on: https://gerrit.libreoffice.org/c/core/+/138553
Tested-by: René Engelhard <rene@debian.org>
--- a/configure.ac
+++ b/configure.ac
@@ -12537,12 +12537,11 @@ elif test \( \( "$_os" = "Linux" -o "$_os" = "Darwin" \) -a "$ENABLE_NSS" = TRUE
# C++ library doesn't come with fancy gpgmepp-config, check for headers the old-fashioned way
AC_CHECK_HEADER(gpgme++/gpgmepp_version.h, [ GPGMEPP_CFLAGS=-I/usr/include/gpgme++ ],
[AC_MSG_ERROR([gpgmepp headers not found, install gpgmepp >= 1.14 development package])], [])
- # progress_callback is the only func with plain C linkage
- # checking for it also filters out older, KDE-dependent libgpgmepp versions
- AC_CHECK_LIB(gpgmepp, progress_callback, [ GPGMEPP_LIBS=-lgpgmepp ],
- [AC_MSG_ERROR(gpgmepp not found or not functional)], [])
AC_CHECK_HEADER(gpgme.h, [],
[AC_MSG_ERROR([gpgme headers not found, install gpgme development package])], [])
+ AC_CHECK_LIB(gpgmepp, main, [],
+ [AC_MSG_ERROR(gpgmepp not found or not functional)], [])
+ GPGMEPP_LIBS=-lgpgmepp
else
AC_MSG_RESULT([internal])
BUILD_TYPE="$BUILD_TYPE LIBGPGERROR LIBASSUAN GPGMEPP"
Loading…
Cancel
Save